      PROGRAM VIDEO

c Purpose: demonstrates calling NDP C from NDP Fortran
c NDP C routine returns non-zero if an EGA board is present.
c

c  		Color Graphics Adapter
c			Monochrome Display Adapter
c				Enhanced Graphics Adapter
      INTEGER 	CDCGA,  CDMONO, CDEGA
      PARAMETER (CDCGA=0,CDMONO=1,CDEGA=2)
      INTEGER	INTNUM, EGA_FLAG, EGA_EXIST
      CHARACTER*11 MSG
c The following include file defines storage areas for
c use of DOS and ROM BIOS services
        INCLUDE "DOS.FH"
  	
	EGA_FLAG = EGA_EXIST()

	IF (EGA_FLAG .EQ. 0) THEN
          MSG = 'not present'
	ELSE
          MSG = 'present'
	END IF
      WRITE (*,100) 'Enhanced Graphics Adapter ',MSG
  100 FORMAT (1X,A,A)

      END
